Index: /pjproject/branches/projects/vs-reorg/pjproject-vs8.sln
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjproject-vs8.sln	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjproject-vs8.sln	(revision 2630)
@@ -1707,4 +1918,5 @@
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Dynamic|Mixed Platforms.ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1717,4 +1929,5 @@
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
+		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Static|Mixed Platforms.ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Static|Smartphone 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1727,4 +1940,5 @@
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
+		{C014B29B-4A42-414B-B567-988469F032D8}.Release|Mixed Platforms.ActiveCfg = Release|Windows Mobile 6 Professional SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Pocket PC 2003 (ARMV4)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release|Pocket PC 2003 (ARMV4).Build.0 = Release|Pocket PC 2003 (ARMV4)
@@ -1741,4 +1955,5 @@
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Dynamic|Mixed Platforms.ActiveCfg = Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -1751,4 +1966,5 @@
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Static|Mixed Platforms.ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{C014B29B-4A42-414B-B567-988469F032D8}.Release-Static|Smartphone 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
Index: /pjproject/branches/projects/vs-reorg/pjsip-apps/build/py_pjsua.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip-apps/build/py_pjsua.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjsip-apps/build/py_pjsua.vcproj	(revision 2630)
@@ -60,4 +60,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="python24.lib ole32.lib shell32.lib user32.lib odbc32.lib odbccp32.lib dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib iphlpapi.lib"
+				OutputFile="..\..\bin\py-pjsua-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -132,4 +134,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="python24_d.lib ole32.lib shell32.lib user32.lib odbc32.lib odbccp32.lib dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib iphlpapi.lib"
+				OutputFile="..\..\bin\py-pjsua-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjsip-apps/build/sample_debug.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip-apps/build/sample_debug.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjsip-apps/build/sample_debug.vcproj	(revision 2630)
@@ -56,4 +56,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="iphlpapi.lib dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib uuid.lib ole32.lib user32.lib"
+				OutputFile="..\..\bin\sample-debug-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -123,4 +125,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="iphlpapi.lib dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib uuid.lib ole32.lib user32.lib"
+				OutputFile="..\..\bin\sample-debug-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -190,4 +194,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="iphlpapi.lib dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib uuid.lib ole32.lib user32.lib"
+				OutputFile="..\..\bin\sample-debug-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -257,4 +263,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="iphlpapi.lib dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib uuid.lib ole32.lib user32.lib"
+				OutputFile="..\..\bin\sample-debug-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -324,4 +332,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="iphlpapi.lib dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib uuid.lib ole32.lib user32.lib"
+				OutputFile="..\..\bin\sample-debug-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -391,4 +401,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="iphlpapi.lib dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib oleaut32.lib uuid.lib ole32.lib user32.lib"
+				OutputFile="..\..\bin\sample-debug-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjsip-apps/src/pjsua_wince/pjsua_wince.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip-apps/src/pjsua_wince/pjsua_wince.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjsip-apps/src/pjsua_wince/pjsua_wince.vcproj	(revision 2630)
@@ -66,4 +66,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib secchk.lib ccrtrtti.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -133,4 +135,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -200,4 +204,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib secchk.lib ccrtrtti.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -267,4 +273,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -334,4 +342,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib secchk.lib ccrtrtti.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -401,4 +411,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -468,4 +480,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib secchk.lib ccrtrtti.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -535,4 +549,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -602,4 +618,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib secchk.lib ccrtrtti.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -669,4 +687,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -736,4 +756,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib secchk.lib ccrtrtti.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -803,4 +825,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -870,4 +894,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib secchk.lib ccrtrtti.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -937,4 +963,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1004,4 +1032,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib secchk.lib ccrtrtti.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1071,4 +1101,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1138,4 +1170,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib secchk.lib ccrtrtti.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1205,4 +1239,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1272,4 +1308,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib secchk.lib ccrtrtti.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1339,4 +1377,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1410,4 +1450,6 @@
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib secchk.lib ccrtrtti.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1481,4 +1523,6 @@
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1552,4 +1596,6 @@
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib secchk.lib ccrtrtti.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1623,4 +1669,6 @@
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjsua-wince-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjsip-apps/src/pocketpj/PocketPJ.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip-apps/src/pocketpj/PocketPJ.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjsip-apps/src/pocketpj/PocketPJ.vcproj	(revision 2630)
@@ -130,4 +130,6 @@
 				AdditionalDependencies="commctrl.lib coredll.lib winsock.lib ws2.lib iphlpapi.lib"
 				EntryPointSymbol="WinMainCRTStartup"
+				OutputFile="..\..\bin\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -334,4 +336,6 @@
 				EntryPointSymbol="WinMainCRTStartup"
 				BaseAddress="0x00010000"
+				OutputFile="..\..\bin\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -546,4 +550,6 @@
 				BaseAddress="0x00010000"
 				TargetMachine="0"
+				OutputFile="..\..\bin\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -762,4 +768,6 @@
 				BaseAddress="0x00010000"
 				TargetMachine="0"
+				OutputFile="..\..\bin\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -973,4 +981,6 @@
 				EntryPointSymbol="WinMainCRTStartup"
 				TargetMachine="0"
+				OutputFile="..\..\bin\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_core.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_core.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_core.vcproj	(revision 2630)
@@ -66,4 +66,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -127,4 +129,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -196,4 +200,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -266,4 +272,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -327,4 +335,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -396,4 +406,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -466,4 +478,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -527,4 +541,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -596,4 +612,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -666,4 +684,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -727,4 +747,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -796,4 +818,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -866,4 +890,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -927,4 +953,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -996,4 +1024,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1066,4 +1096,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1127,4 +1159,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1196,4 +1230,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-core-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_simple.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_simple.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_simple.vcproj	(revision 2630)
@@ -66,4 +66,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -127,4 +129,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -196,4 +200,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -266,4 +272,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -327,4 +335,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -396,4 +406,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -466,4 +478,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -527,4 +541,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -596,4 +612,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -666,4 +684,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -727,4 +747,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -796,4 +818,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -866,4 +890,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -927,4 +953,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -996,4 +1024,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1066,4 +1096,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1127,4 +1159,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1196,4 +1230,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-simple-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_test.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_test.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_test.vcproj	(revision 2630)
@@ -62,4 +62,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib ole32.lib"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -129,4 +131,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -195,4 +199,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib ole32.lib"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -262,4 +268,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -328,4 +336,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib ole32.lib"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -395,4 +405,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -461,4 +473,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib ole32.lib"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -528,4 +542,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -594,4 +610,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib ole32.lib"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -661,4 +679,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -727,4 +747,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib ole32.lib"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -794,4 +816,6 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="ws2.lib"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -864,4 +888,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -934,4 +960,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1004,4 +1032,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1074,4 +1104,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1144,4 +1176,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
@@ -1214,4 +1248,6 @@
 				AdditionalDependencies="ws2.lib"
 				TargetMachine="0"
+				OutputFile="..\..\bin\pjsip-test-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).exe"
+
 			/>
 			<Tool
Index: /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_ua.vcproj
===================================================================
--- /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_ua.vcproj	(revision 2629)
+++ /pjproject/branches/projects/vs-reorg/pjsip/build/pjsip_ua.vcproj	(revision 2630)
@@ -66,4 +66,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -127,4 +129,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -196,4 +200,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -266,4 +272,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -327,4 +335,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -396,4 +406,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -466,4 +478,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -527,4 +541,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -596,4 +612,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -666,4 +684,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -727,4 +747,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -796,4 +818,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -866,4 +890,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -927,4 +953,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -996,4 +1024,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1066,4 +1096,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1127,4 +1159,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1196,4 +1230,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\pjsip-ua-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
